Articulate Supports Only TLS 1.2 for the Highest Security

Article Last Updated

This article applies to:

We take security seriously at Articulate. We understand how important data protection is to our customers. To safeguard your data, we require the highest level of encryption for internet communication with our servers.

All articulate.com services accept only Transport Layer Security (TLS) 1.2, which is built into all modern web browsers and operating systems. Earlier versions of TLS are no longer supported.

Most users won’t notice any difference in their day-to-day workflow as a result of this security enhancement. However, if you’re using outdated software, you could experience these symptoms:

  • Storyline and Studio help links, such as tutorials on the start screens, won’t work.
  • The check-for-updates feature reports that there are no software updates even when one is available.
  • Articulate 360 users may see an error when signing into the desktop app: There was a problem connecting to Articulate 360. Please check your internet connection and try again.

The good news is it’s easy to fix these issues and improve your security at the same time. Here’s how:

  1. Install the latest updates for Microsoft Windows.
  2. Install the latest update for your web browser.
  3. Install the latest updates for your Articulate apps. Click here to learn how to update Articulate 360. Click here to download the latest updates for Storyline 3, Storyline 2, and Studio '13.

If you have any questions, let us know. We’re happy to help!